Rmagick 2.5.2 install in ubuntu

when i try to install via “gem install rmagick” i get the error

checking for Magick-config… no
Can’t install RMagick 2.5.2. Can’t find Magick-config in
/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin:/usr/X11R6/bin

i also downloaded the tar file - same error

can anyone help?

Thanks

On 17 Aug 2008, at 06:14, Walter J. wrote:

when i try to install via “gem install rmagick” i get the error

checking for Magick-config… no
Can’t install RMagick 2.5.2. Can’t find Magick-config in
/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin:/usr/
X11R6/bin

i also downloaded the tar file - same error

Have you got ImageMagick installed?

Fred

Walter J. wrote:

when i try to install via “gem install rmagick” i get the error

checking for Magick-config… no
Can’t install RMagick 2.5.2. Can’t find Magick-config in
/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin:/usr/X11R6/bin

See http://rmagick.rubyforge.org/install-faq.html for general
instructions. However, a lot of people have blogged about how to install
RMagick on Ubuntu, so Googling “ubuntu rmagick” returns a lot of links
with Ubuntu-specific instructions.

Walter J. wrote:

when i try to install via “gem install rmagick” i get the error

checking for Magick-config… no
Can’t install RMagick 2.5.2. Can’t find Magick-config in
/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin:/usr/X11R6/bin

i also downloaded the tar file - same error

can anyone help?

Thanks

I got it. needed the following…

apt-get install libmagick9-dev

thanks

This forum is not affiliated to the Ruby language, Ruby on Rails framework, nor any Ruby applications discussed here.

| Privacy Policy | Terms of Service | Remote Ruby Jobs